# data-wrapper

Ces services permettent de convertir divers fichiers dans un format corpus (tar.gz) compatible avec tous les services web "asynchrones"

> Le code source de ces services est désormais hébergé [sur
> GitHub](https://github.com/Inist-CNRS/web-services/tree/main/services/data-wrapper#readme)
> 
## v1/csv

Convertir un fichier csv en fichier corpus.

### Exemple

```bash
curl -X 'POST' \
'http://data-wrapper.services.istex.fr/v1/csv' \
-H 'accept: application/x-tar' \
-H 'Content-Type: text/csv' \
-d 'title,year,director/firstNane,director/LastNane,actors,rating,imdb
Rocky,1976,John G.,Avildsen,Sylvester Stallone/Talia Shire/Carl Weathers/Burt Young,"8,1",http://www.imdb.com/title/tt0075148/
Rocky 2,1979,Sylvester,Stallone,Sylvester Stallone/Talia Shire/Carl Weathers/Burt Young/Burgess Meredith/Tony Burton/Frank Stallone/Stu Nahan,"7,2",http://www.imdb.com/title/tt0079817/
Rocky 3,1982,Sylvester,Stallone,Sylvester Stallone/Talia Shire/Carl Weathers/Burt Young/Burgess Meredith/Mister T./Hulk Hogan/Tony Burton,"6,7",http://www.imdb.com/title/tt0084602/
Last Action Hero,1993,John,McTierman,Arnold Schwarzenegger/Austin O\'Brien/Charles Dance/Bridget Wilson-Sampras,"6,2",http://www.imdb.com/title/tt0107362/' > out.tar.gz
```

## v1/tar-tei2json

Convertir un fichier tar.gz contenant des fichiers tei. Le corpus produit contiendra les fichiers tei transformés en JSON

### Exemple

```bash
cat ./example-tei.tar.gz |curl --data-binary @- "http://data-wrapper.services.istex.fr/v1/tar-tei2json"> out.tar.gz
```

## v1/tar-tei2xml

Convertir un fichier tar.gz contenant des fichiers tei. Le corpus produit contiendra les fichiers tei transformés dans un format XML simplifié.

### Exemple

```bash
cat ./example-tei.tar.gz |curl --data-binary @- "http://data-wrapper.services.istex.fr/v1/tar-tei2xml"> out.tar.gz
```
